abzinthia's Posts

New Snow Leopard Patch for Mac Users
BookSmart

Hi there

Nothing worked for me either until my boyfriend (who is a computer programmer) changed one line in the script. Check it out. Maybe it helps. Worked for me anyway: http://forums.blurb.com/forums/1/topics/7149

theresa

Posted by
abzinthia
Sep 8, 2009 1:33am PDT
Permalink
abzinthia
 
Still having trouble with Booksmart on Snow Leopard? - Try this..
BookSmart

Be aware that there’s a ) at the end of the link I posted. The correct is the following:

http://forums.blurb.com/forums/1/topics/7106#posts-30236

Posted by
abzinthia
Sep 5, 2009 8:08am PDT
Permalink
abzinthia
 
Still having trouble with Booksmart on Snow Leopard? - Try this..
BookSmart

Hey,

My girlfriend was having a whole heap of trouble getting the various patches to work so we sat down together and had a look at it.

Yesterday we tried downgrading her Java version from 1.6 (Standard in Snow Leopard) to 1.5 (The one required by BookSmart).

I had a look in the info.plist file, which has been mentioned numerous times in other threads and noticed this line:

<string>/System/Library/Java/Extensions:/System/Library/Frameworks/JavaVM.framework/Versions/1.5/Home/lib/ext</string>

I remembered working with the java framework versions yesterday and decided to try and change the path to what I belived to be the correct one.

I changed the line to be:

<string>/System/Library/Java/Extensions:/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home/lib/ext</string>

and now her BookSmart works like a charm again.

I did all this after installing the alternative patch manually (http://forums.blurb.com/forums/1/topics/7106#posts-30236).

As I said in the beginning, if you’ve tried everything and it still doesn’t work this might be worth a shot :)

Oh and blurb.. Your preview doesn’t work properly :)

/Chris

Posted by
abzinthia
Sep 5, 2009 8:07am PDT
Permalink
abzinthia